Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PFont

Name

### list()

Examples

    size(200, 200);
    String[] fontList = PFont.list();
    println(fontList);

Description | Gets a list of the fonts installed on the system. The data is returned as a String array. This list provides the names of each font for input into createFont(), which allows Processing to dynamically format fonts. This function is meant as a tool for programming local applications and is not recommended for use in applets.

Syntax

    font.list()

Parameters

font | any variable of type PFont

Returns | String[]
Usage | Application

Updated on August 30, 2010 04:29:39pm EDT